=== projectbuilders/CMakeLists.txt ===

add_subdirectory(makebuilder)
add_subdirectory(ninjabuilder)
macro_optional_add_subdirectory(cmakebuilder)
