=== projectmanagers/CMakeLists.txt ===
macro_optional_add_subdirectory(cmake)
macro_optional_add_subdirectory(custommake)
macro_optional_add_subdirectory(custom-buildsystem)
