=== debian/changelog ===
kdevelop (4:4.6.0-0ubuntu3) trusty; urgency=low

  * Promote kdevelop-l10n from Suggests to Recommends to ensure people
    get localization.
    + Add kdevelop-php-docs-l10n, kdevelop-php-l10n as Recommends

 -- Harald Sitter <apachelogger@kubuntu.org>  Mon, 20 Jan 2014 11:33:44 +0100

kdevelop (4:4.6.0-0ubuntu2) trusty; urgency=low

  * Recommend libqtwebkit-qmlwebkitplugin, required for 'learn kdevelop'
    feature on the overview LP: #1264663
    (Not depending because this is a purely optional dependency, much
     like khelpcenter)

 -- Harald Sitter <apachelogger@kubuntu.org>  Thu, 02 Jan 2014 14:08:06 +0100

kdevelop (4:4.6.0-0ubuntu1) trusty; urgency=low

  * New upstream release (LP: #1259220)
  * Update install files 

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 09 Dec 2013 18:54:59 +0100

kdevelop (4:4.5.2-0ubuntu1) trusty; urgency=low

  * New upstream release
  * Bump required version of kdevplatform-dev to 1.5.2

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 04 Nov 2013 16:02:55 +0100

kdevelop (4:4.5.1-0ubuntu5) saucy; urgency=low

  * Rebuild against new okteta 4.11

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 13 Jul 2013 15:30:42 +0200

kdevelop (4:4.5.1-0ubuntu4) saucy; urgency=low

  * Fix typo in kdevelop depends: kata-data -> kate-data.
    Thanks Ladislav Bonita. (LP: #1191916)

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 17 Jun 2013 23:49:29 +0200

kdevelop (4:4.5.1-0ubuntu3) saucy; urgency=low

  * Add depends on kate-data, fixes https://bugs.kde.org/318188
    "Adding snippet repository fails with clean install"

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 13 Jun 2013 15:05:27 +0100

kdevelop (4:4.5.1-0ubuntu2) saucy; urgency=low

  * Don't build okteta plugin on powerpc or install in
    kdevelop-data.install and edit debian/rules to install on !powerpc

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 11 Jun 2013 13:59:19 +0100

kdevelop (4:4.5.1-0ubuntu1) saucy; urgency=low

  * New upstream release
  * Merge with Debian git packaging, remaining changes
   - replaces/conflucts kdevelop-custom-buildsystem, now build into KDevelop

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 10 Jun 2013 17:21:01 +0100

kdevelop (4:4.5.1-0r0) UNRELEASED; urgency=low

  [ Pino Toscano ]
  * Make kdevelop-data break/replace kdevelop-doc << 4.3 (it was part of
    kdevelop 3.5).

  [ Andreas Cord-Landwehr]
  * Bump build dependency for kdevplatform-dev to 1.5.1.
  * Remove patch for compile switch for Okteta structure tool since
    BIG_ENDIAN compile switch implemented by upstream
    (remove patch okteta_optional_structures_tool.diff)
  * Add libqjson-dev build dependency.
  * New upstream release:
    - fixes parsing of libc header files (Closes: #707215)
  * Bump Standards-Version to 3.9.4: no changes needed.
  * Update copyright.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 25 May 2012 23:56:49 +0200

kdevelop (4:4.5.0-0ubuntu2) saucy; urgency=low

  * replaces/conflucts kdevelop-custom-buildsystem, now build into KDevelop

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 10 May 2013 15:32:19 +0000

kdevelop (4:4.5.0-0ubuntu1) saucy; urgency=low

  * New upstream release LP: #1175273
  * Add kubuntu_no_test.diff to disable broken test

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 08 May 2013 18:16:17 +0000
