## kdevelop 4.7.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,17 +1,15 @@
 # KDevelop version
 set( KDEVELOP_VERSION_MAJOR 4 )
-set( KDEVELOP_VERSION_MINOR 6 )
+set( KDEVELOP_VERSION_MINOR 7 )
 set( KDEVELOP_VERSION_PATCH 0 )
 # KDevplatform dependency version
 set( KDEVPLATFORM_VERSION "1.${KDEVELOP_VERSION_MINOR}.${KDEVELOP_VERSION_PATCH}" )
 
 ################################################################################
 
-cmake_minimum_required(VERSION 2.8)
+cmake_minimum_required(VERSION 2.8.9)
 
 project(KDevelop)
-
-set(KDE4_BUILD_TESTS "ON" CACHE "BOOL" "Enable building of tests" FORCE )
 
 set(CMAKE_MODULE_PATH ${KDevelop_SOURCE_DIR}/cmake/modules ${CMAKE_MODULE_PATH})
 
@@ -21,6 +19,13 @@
 include (KDE4Defaults)
 include (MacroLibrary)
 include (MacroOptionalAddSubdirectory)
+
+find_package(QJSON)
+# QJSON <=0.7.1 provides variables with lower case prefix, see bug 331426
+if (QJSON_VERSION VERSION_LESS "0.7.2")
+    set(QJSON_LIBRARIES   ${qjson_LIBRARIES})
+    set(QJSON_INCLUDE_DIR ${qjson_INCLUDE_DIR})
+endif()
 
 # Make sure that we're having RPATH on our installed libs, else using kdevelop
 # from prefixes like $HOME/kdevelop breaks
@@ -38,6 +43,21 @@
 
 add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS} -DHAVE_CONFIG_H=1)
 add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)
+
+if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID STREQUAL "Clang" OR CMAKE_CXX_COMPILER_ID STREQUAL "Intel")
+    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
+endif()
+
+if(CMAKE_CXX_COMPILER_ID STREQUAL "Clang")
+    # in Qt 4, clang support is lacking...
+    add_definitions("-DQ_COMPILER_INITIALIZER_LISTS=1")
+endif()
+
+# Turn off missing-field-initializers warning to avoid noise from false positives with empty {}
+# See discussion: http://mail.kde.org/pipermail/kdevelop-devel/2014-February/046910.html
+if (CMAKE_COMPILER_IS_GNUCXX)
+    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-missing-field-initializers")
+endif()
 
 include_directories(${KDevelop_SOURCE_DIR} ${KDevelop_BINARY_DIR} ${KDE4_INCLUDES} )
