=== providers/CMakeLists.txt ===
macro_optional_add_subdirectory(ghprovider)
