=== debian/changelog ===
kdevelop (4:4.7.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

  [ Andreas Cord-Landwehr ]
  * Bump kdevplatform-dev build dependency to 1.7.0.
  * Refresh patches.
  * Update copyright.

  [ Pino Toscano ]
  * Update copyright.
  * Add the pkg-config build dependency.
  * Update install files.
  * Install kdevelop.xpm using .install file.
  * Bump the debhelper compatibility to 9:
    - bump compat to 9
    - bump the debhelper build dependency to 9
  * Convert rules to the dh sequencer with kde addon.
  * Remove unused cdbs build dependency.
  * Suggest ninja-build in kdevelop, as there is a plugin using it.

 -- Pino Toscano <pino@debian.org>  Tue, 23 Sep 2014 22:18:30 +0200
