=== debian/control ===
--- 
+++ 
@@ -1,39 +1,33 @@
 Source: kdevelop
 Section: devel
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Fathi Boudra <fabo@debian.org>,
            Jeremy Lainé <jeremy.laine@m4x.org>,
            George Kiagiadakis <kiagiadakis.george@gmail.com>,
            Andreas Cord-Landwehr <cola@uni-paderborn.de>
-Build-Depends: cdbs,
-               cmake,
-               debhelper (>= 7.4.15),
+Build-Depends: cmake,
+               debhelper (>= 9),
                kde-workspace-dev (>= 4:4.5.2),
-               kdevplatform-dev (>= 1.6.0),
+               kdevplatform-dev (>= 1.7.0),
+               libqjson-dev,
                libqtwebkit-dev,
-               okteta-dev,
+               okteta-dev (>= 4:4.10),
+               pkg-config,
                pkg-kde-tools (>= 0.9.0),
-               libqjson-dev,
                shared-mime-info
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://www.kdevelop.org/
-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-std/kdevelop.git
-Vcs-Git: git://git.debian.org/pkg-kde/kde-std/kdevelop.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-std/kdevelop.git
+Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-std/kdevelop.git
 
 Package: kdevelop
 Architecture: any
 Depends: kdevelop-data (>= ${source:Version}),
          ${misc:Depends},
-         ${shlibs:Depends},
-         kate-data
-Recommends: g++, gcc, gdb (>= 7.0), make,
- libqtwebkit-qmlwebkitplugin,
- kdevelop-l10n, kdevelop-php-docs-l10n, kdevelop-php-l10n
-Replaces: kdevelop-custom-buildsystem
-Conflicts: kdevelop-custom-buildsystem
-Suggests: cmake, kapptemplate
+         ${shlibs:Depends}
+Recommends: g++, gcc, gdb (>= 7.0), make
+Suggests: cmake, kapptemplate, kdevelop-l10n, ninja-build
 Description: integrated development environment for KDE
  KDevelop is an easy to use integrated development environment for KDE.
  It supports a wide range of programming languages and features project
